diff --git a/example/classifier/odp_classifier.c b/example/classifier/odp_classifier.c
index 5a8cd37..9e5bec9 100644
--- a/example/classifier/odp_classifier.c
+++ b/example/classifier/odp_classifier.c
@@ -667,7 +667,7 @@ static void swap_pkt_addrs(odp_packet_t pkt_tbl[], unsigned len)
 	odph_ethhdr_t *eth;
 	odph_ethaddr_t tmp_addr;
 	odph_ipv4hdr_t *ip;
-	uint32be_t ip_tmp_addr; /* tmp ip addr */
+	odp_u32be_t ip_tmp_addr; /* tmp ip addr */
 	unsigned i;
 
 	for (i = 0; i < len; ++i) {
diff --git a/example/ipsec/odp_ipsec_cache.h b/example/ipsec/odp_ipsec_cache.h
index 91d9d7e..56be9d8 100644
--- a/example/ipsec/odp_ipsec_cache.h
+++ b/example/ipsec/odp_ipsec_cache.h
@@ -57,7 +57,7 @@ typedef struct ipsec_cache_entry_s {
 		uint32_t      esp_seq;         /**< ESP TX sequence number */
 		uint32_t      ah_seq;          /**< AH TX sequence number */
 		uint8_t       iv[MAX_IV_LEN];  /**< ESP IV storage */
-		uint16be_t    tun_hdr_id;      /**< Tunnel header IP ID */
+		odp_u16be_t    tun_hdr_id;     /**< Tunnel header IP ID */
 	} state;
 } ipsec_cache_entry_t;
 
diff --git a/example/ipsec/odp_ipsec_stream.c b/example/ipsec/odp_ipsec_stream.c
index 9c2722e..ff2ca33 100644
--- a/example/ipsec/odp_ipsec_stream.c
+++ b/example/ipsec/odp_ipsec_stream.c
@@ -36,7 +36,7 @@
  * Stream packet header
  */
 typedef struct ODP_PACKED stream_pkt_hdr_s {
-	uint64be_t magic;    /**< Stream magic value for verification */
+	odp_u64be_t magic;   /**< Stream magic value for verification */
 	uint8_t    data[0];  /**< Incrementing data stream */
 } stream_pkt_hdr_t;
 
diff --git a/example/packet/odp_pktio.c b/example/packet/odp_pktio.c
index 75e92ac..13f044f 100644
--- a/example/packet/odp_pktio.c
+++ b/example/packet/odp_pktio.c
@@ -502,7 +502,7 @@ static void swap_pkt_addrs(odp_packet_t pkt_tbl[], unsigned len)
 	odph_ethhdr_t *eth;
 	odph_ethaddr_t tmp_addr;
 	odph_ipv4hdr_t *ip;
-	uint32be_t ip_tmp_addr; /* tmp ip addr */
+	odp_u32be_t ip_tmp_addr; /* tmp ip addr */
 	unsigned i;
 
 	for (i = 0; i < len; ++i) {
diff --git a/helper/include/odp/helper/chksum.h b/helper/include/odp/helper/chksum.h
index edb1c98..215917c 100644
--- a/helper/include/odp/helper/chksum.h
+++ b/helper/include/odp/helper/chksum.h
@@ -27,7 +27,7 @@ extern "C" {
  *
  * @return checksum value in host cpu order
  */
-static inline uint16sum_t odp_chksum(void *buffer, int len)
+static inline odp_u16sum_t odp_chksum(void *buffer, int len)
 {
 	uint16_t *buf = buffer;
 	uint32_t sum = 0;
@@ -43,7 +43,7 @@ static inline uint16sum_t odp_chksum(void *buffer, int len)
 	sum += (sum >> 16);
 	result = ~sum;
 
-	return  (__odp_force uint16sum_t) result;
+	return  (__odp_force odp_u16sum_t) result;
 }
 
 #ifdef __cplusplus
diff --git a/helper/include/odp/helper/eth.h b/helper/include/odp/helper/eth.h
index f1c164d..7c9c728 100644
--- a/helper/include/odp/helper/eth.h
+++ b/helper/include/odp/helper/eth.h
@@ -51,7 +51,7 @@ _ODP_STATIC_ASSERT(sizeof(odph_ethaddr_t) == ODPH_ETHADDR_LEN, "ODPH_ETHADDR_T__
 typedef struct ODP_PACKED {
 	odph_ethaddr_t dst; /**< Destination address */
 	odph_ethaddr_t src; /**< Source address */
-	uint16be_t type;   /**< Type */
+	odp_u16be_t type;   /**< Type */
 } odph_ethhdr_t;
 
 /** @internal Compile time assert */
@@ -63,8 +63,8 @@ _ODP_STATIC_ASSERT(sizeof(odph_ethhdr_t) == ODPH_ETHHDR_LEN, "ODPH_ETHHDR_T__SIZ
  * @todo Check usage of tpid vs ethertype. Check outer VLAN TPID.
  */
 typedef struct ODP_PACKED {
-	uint16be_t tpid;   /**< Tag protocol ID (located after ethhdr.src) */
-	uint16be_t tci;    /**< Priority / CFI / VLAN ID */
+	odp_u16be_t tpid;  /**< Tag protocol ID (located after ethhdr.src) */
+	odp_u16be_t tci;   /**< Priority / CFI / VLAN ID */
 } odph_vlanhdr_t;
 
 /** @internal Compile time assert */
diff --git a/helper/include/odp/helper/icmp.h b/helper/include/odp/helper/icmp.h
index abcf818..7f5097b 100644
--- a/helper/include/odp/helper/icmp.h
+++ b/helper/include/odp/helper/icmp.h
@@ -33,16 +33,16 @@ extern "C" {
 typedef struct ODP_PACKED {
 	uint8_t type;		/**< message type */
 	uint8_t code;		/**< type sub-code */
-	uint16sum_t chksum;	/**< checksum of icmp header */
+	odp_u16sum_t chksum;	/**< checksum of icmp header */
 	union {
 		struct {
-			uint16be_t id;
-			uint16be_t sequence;
+			odp_u16be_t id;
+			odp_u16be_t sequence;
 		} echo;			/**< echo datagram */
-		uint32be_t gateway;	/**< gateway address */
+		odp_u32be_t gateway;	/**< gateway address */
 		struct {
-			uint16be_t __unused;
-			uint16be_t mtu;
+			odp_u16be_t __unused;
+			odp_u16be_t mtu;
 		} frag;			/**< path mtu discovery */
 	} un;			/**< icmp sub header */
 } odph_icmphdr_t;
diff --git a/helper/include/odp/helper/ip.h b/helper/include/odp/helper/ip.h
index 41408a3..2fa4aae 100644
--- a/helper/include/odp/helper/ip.h
+++ b/helper/include/odp/helper/ip.h
@@ -61,14 +61,14 @@ extern "C" {
 typedef struct ODP_PACKED {
 	uint8_t    ver_ihl;     /**< Version / Header length */
 	uint8_t    tos;         /**< Type of service */
-	uint16be_t tot_len;     /**< Total length */
-	uint16be_t id;          /**< ID */
-	uint16be_t frag_offset; /**< Fragmentation offset */
+	odp_u16be_t tot_len;    /**< Total length */
+	odp_u16be_t id;         /**< ID */
+	odp_u16be_t frag_offset;/**< Fragmentation offset */
 	uint8_t    ttl;         /**< Time to live */
 	uint8_t    proto;       /**< Protocol */
-	uint16sum_t chksum;      /**< Checksum */
-	uint32be_t src_addr;    /**< Source address */
-	uint32be_t dst_addr;    /**< Destination address */
+	odp_u16sum_t chksum;    /**< Checksum */
+	odp_u32be_t src_addr;   /**< Source address */
+	odp_u32be_t dst_addr;   /**< Destination address */
 } odph_ipv4hdr_t;
 
 /** @internal Compile time assert */
@@ -83,11 +83,11 @@ _ODP_STATIC_ASSERT(sizeof(odph_ipv4hdr_t) == ODPH_IPV4HDR_LEN, "ODPH_IPV4HDR_T__
  */
 static inline int odph_ipv4_csum_valid(odp_packet_t pkt)
 {
-	uint16be_t res = 0;
+	odp_u16be_t res = 0;
 	uint16_t *w;
 	int nleft = sizeof(odph_ipv4hdr_t);
 	odph_ipv4hdr_t ip;
-	uint16be_t chksum;
+	odp_u16be_t chksum;
 
 	if (!odp_packet_l3_offset(pkt))
 		return 0;
@@ -113,7 +113,7 @@ static inline int odph_ipv4_csum_valid(odp_packet_t pkt)
  *
  * @return IPv4 checksum in host cpu order, or 0 on failure
  */
-static inline uint16sum_t odph_ipv4_csum_update(odp_packet_t pkt)
+static inline odp_u16sum_t odph_ipv4_csum_update(odp_packet_t pkt)
 {
 	uint16_t *w;
 	odph_ipv4hdr_t *ip;
@@ -138,8 +138,8 @@ static inline uint16sum_t odph_ipv4_csum_update(odp_packet_t pkt)
  * IPv6 header
  */
 typedef struct ODP_PACKED {
-	uint32be_t ver_tc_flow;  /**< Version / Traffic class / Flow label */
-	uint16be_t payload_len;  /**< Payload length */
+	odp_u32be_t ver_tc_flow; /**< Version / Traffic class / Flow label */
+	odp_u16be_t payload_len; /**< Payload length */
 	uint8_t    next_hdr;     /**< Next header */
 	uint8_t    hop_limit;    /**< Hop limit */
 	uint8_t    src_addr[16]; /**< Source address */
diff --git a/helper/include/odp/helper/ipsec.h b/helper/include/odp/helper/ipsec.h
index 2565f74..2cc2403 100644
--- a/helper/include/odp/helper/ipsec.h
+++ b/helper/include/odp/helper/ipsec.h
@@ -35,8 +35,8 @@ extern "C" {
  * IPSec ESP header
  */
 typedef struct ODP_PACKED {
-	uint32be_t spi;      /**< Security Parameter Index */
-	uint32be_t seq_no;   /**< Sequence Number */
+	odp_u32be_t spi;     /**< Security Parameter Index */
+	odp_u32be_t seq_no;  /**< Sequence Number */
 	uint8_t    iv[0];    /**< Initialization vector */
 } odph_esphdr_t;
 
@@ -61,9 +61,9 @@ _ODP_STATIC_ASSERT(sizeof(odph_esptrl_t) == ODPH_ESPTRL_LEN, "ODPH_ESPTRL_T__SIZ
 typedef struct ODP_PACKED {
 	uint8_t    next_header;  /**< Next header protocol */
 	uint8_t    ah_len;       /**< AH header length */
-	uint16be_t pad;          /**< Padding (must be 0) */
-	uint32be_t spi;          /**< Security Parameter Index */
-	uint32be_t seq_no;       /**< Sequence Number */
+	odp_u16be_t pad;         /**< Padding (must be 0) */
+	odp_u32be_t spi;         /**< Security Parameter Index */
+	odp_u32be_t seq_no;      /**< Sequence Number */
 	uint8_t    icv[0];       /**< Integrity Check Value */
 } odph_ahhdr_t;
 
diff --git a/helper/include/odp/helper/tcp.h b/helper/include/odp/helper/tcp.h
index 42f0cbe..eb0a268 100644
--- a/helper/include/odp/helper/tcp.h
+++ b/helper/include/odp/helper/tcp.h
@@ -30,54 +30,54 @@ extern "C" {
 
 /** TCP header */
 typedef struct ODP_PACKED {
-	uint16be_t src_port; /**< Source port */
-	uint16be_t dst_port; /**< Destination port */
-	uint32be_t seq_no;   /**< Sequence number */
-	uint32be_t ack_no;   /**< Acknowledgment number */
+	odp_u16be_t src_port; /**< Source port */
+	odp_u16be_t dst_port; /**< Destination port */
+	odp_u32be_t seq_no;   /**< Sequence number */
+	odp_u32be_t ack_no;   /**< Acknowledgment number */
 	union {
-		uint16be_t doffset_flags;
+		odp_u16be_t doffset_flags;
 #if defined(ODP_BIG_ENDIAN_BITFIELD)
 		struct {
-			uint16be_t rsvd1:8;
-			uint16be_t flags:8; /**< TCP flags as a byte */
+			odp_u16be_t rsvd1:8;
+			odp_u16be_t flags:8; /**< TCP flags as a byte */
 		};
 		struct {
-			uint16be_t hl:4;    /**< Hdr len, in words */
-			uint16be_t rsvd3:4; /**< Reserved */
-			uint16be_t cwr:1;
-			uint16be_t ece:1;
-			uint16be_t urg:1;
-			uint16be_t ack:1;
-			uint16be_t psh:1;
-			uint16be_t rst:1;
-			uint16be_t syn:1;
-			uint16be_t fin:1;
+			odp_u16be_t hl:4;    /**< Hdr len, in words */
+			odp_u16be_t rsvd3:4; /**< Reserved */
+			odp_u16be_t cwr:1;
+			odp_u16be_t ece:1;
+			odp_u16be_t urg:1;
+			odp_u16be_t ack:1;
+			odp_u16be_t psh:1;
+			odp_u16be_t rst:1;
+			odp_u16be_t syn:1;
+			odp_u16be_t fin:1;
 		};
 #elif defined(ODP_LITTLE_ENDIAN_BITFIELD)
 		struct {
-			uint16be_t flags:8;
-			uint16be_t rsvd1:8; /**< TCP flags as a byte */
+			odp_u16be_t flags:8;
+			odp_u16be_t rsvd1:8; /**< TCP flags as a byte */
 		};
 		struct {
-			uint16be_t rsvd3:4; /**< Reserved */
-			uint16be_t hl:4;    /**< Hdr len, in words */
-			uint16be_t fin:1;
-			uint16be_t syn:1;
-			uint16be_t rst:1;
-			uint16be_t psh:1;
-			uint16be_t ack:1;
-			uint16be_t urg:1;
-			uint16be_t ece:1;
-			uint16be_t cwr:1;
+			odp_u16be_t rsvd3:4; /**< Reserved */
+			odp_u16be_t hl:4;    /**< Hdr len, in words */
+			odp_u16be_t fin:1;
+			odp_u16be_t syn:1;
+			odp_u16be_t rst:1;
+			odp_u16be_t psh:1;
+			odp_u16be_t ack:1;
+			odp_u16be_t urg:1;
+			odp_u16be_t ece:1;
+			odp_u16be_t cwr:1;
 		};
 
 #else
 #error "Endian BitField order not defined!"
 #endif
 	};
-	uint16be_t window; /**< Window size */
-	uint16be_t cksm;   /**< Checksum */
-	uint16be_t urgptr; /**< Urgent pointer */
+	odp_u16be_t window; /**< Window size */
+	odp_u16be_t cksm;   /**< Checksum */
+	odp_u16be_t urgptr; /**< Urgent pointer */
 } odph_tcphdr_t;
 
 /**
diff --git a/helper/include/odp/helper/udp.h b/helper/include/odp/helper/udp.h
index 93b342d..88a77f8 100644
--- a/helper/include/odp/helper/udp.h
+++ b/helper/include/odp/helper/udp.h
@@ -30,10 +30,10 @@ extern "C" {
 
 /** UDP header */
 typedef struct ODP_PACKED {
-	uint16be_t src_port; /**< Source port */
-	uint16be_t dst_port; /**< Destination port */
-	uint16be_t length;   /**< UDP datagram length in bytes (header+data) */
-	uint16be_t chksum;   /**< UDP header and data checksum (0 if not used)*/
+	odp_u16be_t src_port; /**< Source port */
+	odp_u16be_t dst_port; /**< Destination port */
+	odp_u16be_t length;   /**< UDP datagram length in bytes (header+data) */
+	odp_u16be_t chksum;   /**< UDP header and data checksum (0 if not used)*/
 } odph_udphdr_t;
 
 /**
diff --git a/include/odp/api/byteorder.h b/include/odp/api/byteorder.h
index a7b3647..a12a729 100644
--- a/include/odp/api/byteorder.h
+++ b/include/odp/api/byteorder.h
@@ -41,28 +41,28 @@ extern "C" {
  */
 
 /**
- * @typedef uint16le_t
+ * @typedef odp_u16le_t
  * unsigned 16bit little endian
  *
- * @typedef uint16be_t
+ * @typedef odp_u16be_t
  * unsigned 16bit big endian
  *
- * @typedef uint32le_t
+ * @typedef odp_u32le_t
  * unsigned 32bit little endian
  *
- * @typedef uint32be_t
+ * @typedef odp_u32be_t
  * unsigned 32bit big endian
  *
- * @typedef uint64le_t
+ * @typedef odp_u64le_t
  * unsigned 64bit little endian
  *
- * @typedef uint64be_t
+ * @typedef odp_u64be_t
  * unsigned 64bit big endian
  *
- * @typedef uint16sum_t
+ * @typedef odp_u16sum_t
  * unsigned 16bit bitwise
  *
- * @typedef uint32sum_t
+ * @typedef odp_u32sum_t
  * unsigned 32bit bitwise
  */
 
@@ -75,21 +75,21 @@ extern "C" {
  * @param be16  big endian 16bit
  * @return  cpu native uint16_t
  */
-uint16_t odp_be_to_cpu_16(uint16be_t be16);
+uint16_t odp_be_to_cpu_16(odp_u16be_t be16);
 
 /**
  * Convert 32bit big endian to cpu native uint32_t
  * @param be32  big endian 32bit
  * @return  cpu native uint32_t
  */
-uint32_t odp_be_to_cpu_32(uint32be_t be32);
+uint32_t odp_be_to_cpu_32(odp_u32be_t be32);
 
 /**
  * Convert 64bit big endian to cpu native uint64_t
  * @param be64  big endian 64bit
  * @return  cpu native uint64_t
  */
-uint64_t odp_be_to_cpu_64(uint64be_t be64);
+uint64_t odp_be_to_cpu_64(odp_u64be_t be64);
 
 
 /*
@@ -101,21 +101,21 @@ uint64_t odp_be_to_cpu_64(uint64be_t be64);
  * @param cpu16  uint16_t in cpu native format
  * @return  big endian 16bit
  */
-uint16be_t odp_cpu_to_be_16(uint16_t cpu16);
+odp_u16be_t odp_cpu_to_be_16(uint16_t cpu16);
 
 /**
  * Convert cpu native uint32_t to 32bit big endian
  * @param cpu32  uint32_t in cpu native format
  * @return  big endian 32bit
  */
-uint32be_t odp_cpu_to_be_32(uint32_t cpu32);
+odp_u32be_t odp_cpu_to_be_32(uint32_t cpu32);
 
 /**
  * Convert cpu native uint64_t to 64bit big endian
  * @param cpu64  uint64_t in cpu native format
  * @return  big endian 64bit
  */
-uint64be_t odp_cpu_to_be_64(uint64_t cpu64);
+odp_u64be_t odp_cpu_to_be_64(uint64_t cpu64);
 
 
 /*
@@ -127,21 +127,21 @@ uint64be_t odp_cpu_to_be_64(uint64_t cpu64);
  * @param le16  little endian 16bit
  * @return  cpu native uint16_t
  */
-uint16_t odp_le_to_cpu_16(uint16le_t le16);
+uint16_t odp_le_to_cpu_16(odp_u16le_t le16);
 
 /**
  * Convert 32bit little endian to cpu native uint32_t
  * @param le32  little endian 32bit
  * @return  cpu native uint32_t
  */
-uint32_t odp_le_to_cpu_32(uint32le_t le32);
+uint32_t odp_le_to_cpu_32(odp_u32le_t le32);
 
 /**
  * Convert 64bit little endian to cpu native uint64_t
  * @param le64  little endian 64bit
  * @return  cpu native uint64_t
  */
-uint64_t odp_le_to_cpu_64(uint64le_t le64);
+uint64_t odp_le_to_cpu_64(odp_u64le_t le64);
 
 
 /*
@@ -153,21 +153,21 @@ uint64_t odp_le_to_cpu_64(uint64le_t le64);
  * @param cpu16  uint16_t in cpu native format
  * @return  little endian 16bit
  */
-uint16le_t odp_cpu_to_le_16(uint16_t cpu16);
+odp_u16le_t odp_cpu_to_le_16(uint16_t cpu16);
 
 /**
  * Convert cpu native uint32_t to 32bit little endian
  * @param cpu32  uint32_t in cpu native format
  * @return  little endian 32bit
  */
-uint32le_t odp_cpu_to_le_32(uint32_t cpu32);
+odp_u32le_t odp_cpu_to_le_32(uint32_t cpu32);
 
 /**
  * Convert cpu native uint64_t to 64bit little endian
  * @param cpu64  uint64_t in cpu native format
  * @return  little endian 64bit
  */
-uint64le_t odp_cpu_to_le_64(uint64_t cpu64);
+odp_u64le_t odp_cpu_to_le_64(uint64_t cpu64);
 
 /**
  * @}
diff --git a/platform/linux-generic/include/odp/byteorder.h b/platform/linux-generic/include/odp/byteorder.h
index 173b047..ee60d02 100644
--- a/platform/linux-generic/include/odp/byteorder.h
+++ b/platform/linux-generic/include/odp/byteorder.h
@@ -27,7 +27,7 @@ extern "C" {
  *  @{
  */
 
-static inline uint16_t odp_be_to_cpu_16(uint16be_t be16)
+static inline uint16_t odp_be_to_cpu_16(odp_u16be_t be16)
 {
 #if ODP_BYTE_ORDER == ODP_LITTLE_ENDIAN
 	return __odp_builtin_bswap16((__odp_force uint16_t)be16);
@@ -36,7 +36,7 @@ static inline uint16_t odp_be_to_cpu_16(uint16be_t be16)
 #endif
 }
 
-static inline uint32_t odp_be_to_cpu_32(uint32be_t be32)
+static inline uint32_t odp_be_to_cpu_32(odp_u32be_t be32)
 {
 #if ODP_BYTE_ORDER == ODP_LITTLE_ENDIAN
 	return __builtin_bswap32((__odp_force uint32_t)be32);
@@ -45,7 +45,7 @@ static inline uint32_t odp_be_to_cpu_32(uint32be_t be32)
 #endif
 }
 
-static inline uint64_t odp_be_to_cpu_64(uint64be_t be64)
+static inline uint64_t odp_be_to_cpu_64(odp_u64be_t be64)
 {
 #if ODP_BYTE_ORDER == ODP_LITTLE_ENDIAN
 	return __builtin_bswap64((__odp_force uint64_t)be64);
@@ -55,35 +55,35 @@ static inline uint64_t odp_be_to_cpu_64(uint64be_t be64)
 }
 
 
-static inline uint16be_t odp_cpu_to_be_16(uint16_t cpu16)
+static inline odp_u16be_t odp_cpu_to_be_16(uint16_t cpu16)
 {
 #if ODP_BYTE_ORDER == ODP_LITTLE_ENDIAN
-	return (__odp_force uint16be_t)__odp_builtin_bswap16(cpu16);
+	return (__odp_force odp_u16be_t)__odp_builtin_bswap16(cpu16);
 #else
-	return (__odp_force uint16be_t)cpu16;
+	return (__odp_force odp_u16be_t)cpu16;
 #endif
 }
 
-static inline uint32be_t odp_cpu_to_be_32(uint32_t cpu32)
+static inline odp_u32be_t odp_cpu_to_be_32(uint32_t cpu32)
 {
 #if ODP_BYTE_ORDER == ODP_LITTLE_ENDIAN
-	return (__odp_force uint32be_t)__builtin_bswap32(cpu32);
+	return (__odp_force odp_u32be_t)__builtin_bswap32(cpu32);
 #else
-	return (__odp_force uint32be_t)cpu32;
+	return (__odp_force odp_u32be_t)cpu32;
 #endif
 }
 
-static inline uint64be_t odp_cpu_to_be_64(uint64_t cpu64)
+static inline odp_u64be_t odp_cpu_to_be_64(uint64_t cpu64)
 {
 #if ODP_BYTE_ORDER == ODP_LITTLE_ENDIAN
-	return (__odp_force uint64be_t)__builtin_bswap64(cpu64);
+	return (__odp_force odp_u64be_t)__builtin_bswap64(cpu64);
 #else
-	return (__odp_force uint64be_t)cpu64;
+	return (__odp_force odp_u64be_t)cpu64;
 #endif
 }
 
 
-static inline uint16_t odp_le_to_cpu_16(uint16le_t le16)
+static inline uint16_t odp_le_to_cpu_16(odp_u16le_t le16)
 {
 #if ODP_BYTE_ORDER == ODP_LITTLE_ENDIAN
 	return (__odp_force uint16_t)le16;
@@ -92,7 +92,7 @@ static inline uint16_t odp_le_to_cpu_16(uint16le_t le16)
 #endif
 }
 
-static inline uint32_t odp_le_to_cpu_32(uint32le_t le32)
+static inline uint32_t odp_le_to_cpu_32(odp_u32le_t le32)
 {
 #if ODP_BYTE_ORDER == ODP_LITTLE_ENDIAN
 	return (__odp_force uint32_t)le32;
@@ -101,7 +101,7 @@ static inline uint32_t odp_le_to_cpu_32(uint32le_t le32)
 #endif
 }
 
-static inline uint64_t odp_le_to_cpu_64(uint64le_t le64)
+static inline uint64_t odp_le_to_cpu_64(odp_u64le_t le64)
 {
 #if ODP_BYTE_ORDER == ODP_LITTLE_ENDIAN
 	return (__odp_force uint64_t)le64;
@@ -111,30 +111,30 @@ static inline uint64_t odp_le_to_cpu_64(uint64le_t le64)
 }
 
 
-static inline uint16le_t odp_cpu_to_le_16(uint16_t cpu16)
+static inline odp_u16le_t odp_cpu_to_le_16(uint16_t cpu16)
 {
 #if ODP_BYTE_ORDER == ODP_LITTLE_ENDIAN
-	return (__odp_force uint16le_t)cpu16;
+	return (__odp_force odp_u16le_t)cpu16;
 #else
-	return (__odp_force uint16le_t)__odp_builtin_bswap16(cpu16);
+	return (__odp_force odp_u16le_t)__odp_builtin_bswap16(cpu16);
 #endif
 }
 
-static inline uint32le_t odp_cpu_to_le_32(uint32_t cpu32)
+static inline odp_u32le_t odp_cpu_to_le_32(uint32_t cpu32)
 {
 #if ODP_BYTE_ORDER == ODP_LITTLE_ENDIAN
-	return (__odp_force uint32le_t)cpu32;
+	return (__odp_force odp_u32le_t)cpu32;
 #else
-	return (__odp_force uint32le_t)__builtin_bswap32(cpu32);
+	return (__odp_force odp_u32le_t)__builtin_bswap32(cpu32);
 #endif
 }
 
-static inline uint64le_t odp_cpu_to_le_64(uint64_t cpu64)
+static inline odp_u64le_t odp_cpu_to_le_64(uint64_t cpu64)
 {
 #if ODP_BYTE_ORDER == ODP_LITTLE_ENDIAN
-	return (__odp_force uint64le_t)cpu64;
+	return (__odp_force odp_u64le_t)cpu64;
 #else
-	return (__odp_force uint64le_t)__builtin_bswap64(cpu64);
+	return (__odp_force odp_u64le_t)__builtin_bswap64(cpu64);
 #endif
 }
 
diff --git a/platform/linux-generic/include/odp/plat/byteorder_types.h b/platform/linux-generic/include/odp/plat/byteorder_types.h
index cf917b1..0a8e409 100644
--- a/platform/linux-generic/include/odp/plat/byteorder_types.h
+++ b/platform/linux-generic/include/odp/plat/byteorder_types.h
@@ -67,17 +67,17 @@ extern "C" {
 #define ODP_BYTE_ORDER ODP_BIG_ENDIAN
 #endif
 
-typedef uint16_t __odp_bitwise	uint16le_t;
-typedef uint16_t __odp_bitwise	uint16be_t;
+typedef uint16_t __odp_bitwise	odp_u16le_t;
+typedef uint16_t __odp_bitwise	odp_u16be_t;
 
-typedef uint32_t __odp_bitwise	uint32le_t;
-typedef uint32_t __odp_bitwise	uint32be_t;
+typedef uint32_t __odp_bitwise	odp_u32le_t;
+typedef uint32_t __odp_bitwise	odp_u32be_t;
 
-typedef uint64_t __odp_bitwise	uint64le_t;
-typedef uint64_t __odp_bitwise	uint64be_t;
+typedef uint64_t __odp_bitwise	odp_u64le_t;
+typedef uint64_t __odp_bitwise	odp_u64be_t;
 
-typedef uint16_t __odp_bitwise  uint16sum_t;
-typedef uint32_t __odp_bitwise  uint32sum_t;
+typedef uint16_t __odp_bitwise  odp_u16sum_t;
+typedef uint32_t __odp_bitwise  odp_u32sum_t;
 
 /**
  * @}
diff --git a/test/performance/odp_pktio_perf.c b/test/performance/odp_pktio_perf.c
index 9fdc4cb..f85f882 100644
--- a/test/performance/odp_pktio_perf.c
+++ b/test/performance/odp_pktio_perf.c
@@ -145,7 +145,7 @@ typedef struct {
 } thread_args_t;
 
 typedef struct {
-	uint32be_t magic; /* Packet header magic number */
+	odp_u32be_t magic; /* Packet header magic number */
 } pkt_head_t;
 
 /* Pool from which transmitted packets are allocated */
diff --git a/test/validation/classification/odp_classification_common.c b/test/validation/classification/odp_classification_common.c
index bb937dc..70d21a2 100644
--- a/test/validation/classification/odp_classification_common.c
+++ b/test/validation/classification/odp_classification_common.c
@@ -13,8 +13,8 @@
 #include <odp/helper/tcp.h>
 
 typedef struct cls_test_packet {
-	uint32be_t magic;
-	uint32be_t seq;
+	odp_u32be_t magic;
+	odp_u32be_t seq;
 } cls_test_packet_t;
 
 int destroy_inq(odp_pktio_t pktio)
@@ -254,7 +254,7 @@ odp_packet_t create_packet_len(odp_pool_t pool, bool vlan,
 		vlan->tpid = odp_cpu_to_be_16(ODPH_ETHTYPE_VLAN);
 		offset += sizeof(odph_vlanhdr_t);
 		parseptr += sizeof(odph_vlanhdr_t);
-		uint16be_t *type = (uint16be_t *)(void *)parseptr;
+		odp_u16be_t *type = (odp_u16be_t *)(void *)parseptr;
 		*type = odp_cpu_to_be_16(ODPH_ETHTYPE_IPV4);
 	} else {
 		ethhdr->type =	odp_cpu_to_be_16(ODPH_ETHTYPE_IPV4);
diff --git a/test/validation/pktio/pktio.c b/test/validation/pktio/pktio.c
index eda7993..6a5fb03 100644
--- a/test/validation/pktio/pktio.c
+++ b/test/validation/pktio/pktio.c
@@ -45,13 +45,13 @@ typedef struct {
 
 /** magic number and sequence at start of UDP payload */
 typedef struct ODP_PACKED {
-	uint32be_t magic;
-	uint32be_t seq;
+	odp_u32be_t magic;
+	odp_u32be_t seq;
 } pkt_head_t;
 
 /** magic number at end of UDP payload */
 typedef struct ODP_PACKED {
-	uint32be_t magic;
+	odp_u32be_t magic;
 } pkt_tail_t;
 
 /** Run mode */