diff --git a/example/classifier/odp_classifier.c b/example/classifier/odp_classifier.c
index 1bd2414..84da0c6 100644
--- a/example/classifier/odp_classifier.c
+++ b/example/classifier/odp_classifier.c
@@ -12,11 +12,11 @@
 #include <example_debug.h>
 
 #include <odp_api.h>
-#include <odp/helper/linux.h>
 #include <odp/helper/eth.h>
 #include <odp/helper/ip.h>
 #include <strings.h>
 #include <errno.h>
+#include <odp/helper/threads.h>
 #include <stdio.h>
 
 /** @def MAX_WORKERS
diff --git a/example/generator/odp_generator.c b/example/generator/odp_generator.c
index 48d7f5f..b881601 100644
--- a/example/generator/odp_generator.c
+++ b/example/generator/odp_generator.c
@@ -20,7 +20,7 @@
 
 #include <odp_api.h>
 
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 #include <odp/helper/eth.h>
 #include <odp/helper/ip.h>
 #include <odp/helper/udp.h>
diff --git a/example/ipsec/odp_ipsec.c b/example/ipsec/odp_ipsec.c
index 6a9a9fe..e32519f 100644
--- a/example/ipsec/odp_ipsec.c
+++ b/example/ipsec/odp_ipsec.c
@@ -24,7 +24,7 @@
 
 #include <odp_api.h>
 
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 #include <odp/helper/eth.h>
 #include <odp/helper/ip.h>
 #include <odp/helper/icmp.h>
diff --git a/example/l2fwd_simple/odp_l2fwd_simple.c b/example/l2fwd_simple/odp_l2fwd_simple.c
index 0682d2d..2473a11 100644
--- a/example/l2fwd_simple/odp_l2fwd_simple.c
+++ b/example/l2fwd_simple/odp_l2fwd_simple.c
@@ -10,9 +10,9 @@
 #include <signal.h>
 
 #include <odp_api.h>
-#include <odp/helper/linux.h>
 #include <odp/helper/eth.h>
 #include <odp/helper/ip.h>
+#include <odp/helper/threads.h>
 
 #define POOL_NUM_PKT 8192
 #define POOL_SEG_LEN 1856
diff --git a/example/l3fwd/odp_l3fwd.c b/example/l3fwd/odp_l3fwd.c
index 8919bd3..b2bf01b 100644
--- a/example/l3fwd/odp_l3fwd.c
+++ b/example/l3fwd/odp_l3fwd.c
@@ -14,11 +14,11 @@
 #include <test_debug.h>
 
 #include <odp_api.h>
-#include <odp/helper/linux.h>
 #include <odp/helper/eth.h>
 #include <odp/helper/ip.h>
 #include <odp/helper/udp.h>
 #include <odp/helper/tcp.h>
+#include <odp/helper/threads.h>
 
 #include "odp_l3fwd_db.h"
 #include "odp_l3fwd_lpm.h"
diff --git a/example/packet/odp_pktio.c b/example/packet/odp_pktio.c
index d1135cb..6e24deb 100644
--- a/example/packet/odp_pktio.c
+++ b/example/packet/odp_pktio.c
@@ -13,9 +13,9 @@
 #include <example_debug.h>
 
 #include <odp_api.h>
-#include <odp/helper/linux.h>
 #include <odp/helper/eth.h>
 #include <odp/helper/ip.h>
+#include <odp/helper/threads.h>
 
 /** @def MAX_WORKERS
  * @brief Maximum number of worker threads
diff --git a/example/switch/odp_switch.c b/example/switch/odp_switch.c
index 4b944fe..a37e6b8 100644
--- a/example/switch/odp_switch.c
+++ b/example/switch/odp_switch.c
@@ -11,9 +11,9 @@
 #include <inttypes.h>
 
 #include <odp_api.h>
-#include <odp/helper/linux.h>
 #include <odp/helper/eth.h>
 #include <odp/helper/ip.h>
+#include <odp/helper/threads.h>
 
 /** Maximum number of worker threads */
 #define MAX_WORKERS            32
diff --git a/example/time/time_global_test.c b/example/time/time_global_test.c
index 380ec52..d304075 100644
--- a/example/time/time_global_test.c
+++ b/example/time/time_global_test.c
@@ -6,8 +6,8 @@
 
 #include <odp_api.h>
 #include <example_debug.h>
-#include <odp/helper/linux.h>
 #include <inttypes.h>
+#include <odp/helper/threads.h>
 
 #define MAX_WORKERS		32
 #define ITERATION_NUM		2048
diff --git a/example/timer/odp_timer_test.c b/example/timer/odp_timer_test.c
index 035ab2e..b847e2b 100644
--- a/example/timer/odp_timer_test.c
+++ b/example/timer/odp_timer_test.c
@@ -14,7 +14,7 @@
 #include <odp_api.h>
 
 /* ODP helper for Linux apps */
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 
 /* GNU lib C */
 #include <getopt.h>
diff --git a/helper/Makefile.am b/helper/Makefile.am
index d09d900..71c6975 100644
--- a/helper/Makefile.am
+++ b/helper/Makefile.am
@@ -14,7 +14,7 @@ AM_LDFLAGS += -version-number '$(ODPHELPER_LIBSO_VERSION)'
 
 helperincludedir = $(includedir)/odp/helper/
 helperinclude_HEADERS = \
-		  $(srcdir)/include/odp/helper/linux.h \
+		  $(srcdir)/include/odp/helper/threads.h \
 		  $(srcdir)/include/odp/helper/chksum.h\
 		  $(srcdir)/include/odp/helper/eth.h\
 		  $(srcdir)/include/odp/helper/icmp.h\
@@ -35,7 +35,7 @@ __LIB__libodphelper_linux_la_SOURCES = \
 					eth.c \
 					ip.c \
 					chksum.c \
-					linux.c \
+					threads.c \
 					hashtable.c \
 					lineartable.c
 
diff --git a/helper/include/odp/helper/linux.h b/helper/include/odp/helper/threads.h
similarity index 99%
rename from helper/include/odp/helper/linux.h
rename to helper/include/odp/helper/threads.h
index 238bcf8..b8d975a 100644
--- a/helper/include/odp/helper/linux.h
+++ b/helper/include/odp/helper/threads.h
@@ -22,8 +22,6 @@
 extern "C" {
 #endif
 
-#include <odp_api.h>
-
 #include <pthread.h>
 #include <getopt.h>
 #include <sys/types.h>
diff --git a/helper/test/odpthreads.c b/helper/test/odpthreads.c
index 3d20eaa..216bccd 100644
--- a/helper/test/odpthreads.c
+++ b/helper/test/odpthreads.c
@@ -15,7 +15,7 @@
 
 #include <test_debug.h>
 #include <odp_api.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 
 #define NUMBER_WORKERS 16
 
diff --git a/helper/test/process.c b/helper/test/process.c
index 0e04224..f3c6d50 100644
--- a/helper/test/process.c
+++ b/helper/test/process.c
@@ -6,7 +6,7 @@
 
 #include <test_debug.h>
 #include <odp_api.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 
 #define NUMBER_WORKERS 16 /* 0 = max */
 
diff --git a/helper/test/thread.c b/helper/test/thread.c
index 8268d9f..da94b49 100644
--- a/helper/test/thread.c
+++ b/helper/test/thread.c
@@ -6,7 +6,7 @@
 
 #include <test_debug.h>
 #include <odp_api.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 
 #define NUMBER_WORKERS 16
 static void *worker_fn(void *arg TEST_UNUSED)
diff --git a/helper/linux.c b/helper/threads.c
similarity index 99%
rename from helper/linux.c
rename to helper/threads.c
index 7bd0b07..d5215c2 100644
--- a/helper/linux.c
+++ b/helper/threads.c
@@ -20,7 +20,7 @@
 #include <stdbool.h>
 
 #include <odp_api.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 #include "odph_debug.h"
 
 static struct {
diff --git a/test/common_plat/common/odp_cunit_common.c b/test/common_plat/common/odp_cunit_common.c
index 2337c92..6d18fa0 100644
--- a/test/common_plat/common/odp_cunit_common.c
+++ b/test/common_plat/common/odp_cunit_common.c
@@ -7,7 +7,7 @@
 #include <string.h>
 #include <odp_api.h>
 #include <odp_cunit_common.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 /* Globals */
 static odph_odpthread_t thread_tbl[MAX_WORKERS];
 static odp_instance_t instance;
diff --git a/test/common_plat/miscellaneous/odp_api_from_cpp.cpp b/test/common_plat/miscellaneous/odp_api_from_cpp.cpp
index be74c27..2b30786 100644
--- a/test/common_plat/miscellaneous/odp_api_from_cpp.cpp
+++ b/test/common_plat/miscellaneous/odp_api_from_cpp.cpp
@@ -1,6 +1,6 @@
 #include <cstdio>
 #include <odp_api.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 
 int main(int argc ODP_UNUSED, const char *argv[] ODP_UNUSED)
 {
diff --git a/test/common_plat/performance/odp_crypto.c b/test/common_plat/performance/odp_crypto.c
index 49a9f4b..c8c6a5c 100644
--- a/test/common_plat/performance/odp_crypto.c
+++ b/test/common_plat/performance/odp_crypto.c
@@ -17,7 +17,7 @@
 #include <sys/resource.h>
 
 #include <odp_api.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 
 #define app_err(fmt, ...) \
 	fprintf(stderr, "%s:%d:%s(): Error: " fmt, __FILE__, \
diff --git a/test/common_plat/performance/odp_l2fwd.c b/test/common_plat/performance/odp_l2fwd.c
index 651ed10..cea3501 100644
--- a/test/common_plat/performance/odp_l2fwd.c
+++ b/test/common_plat/performance/odp_l2fwd.c
@@ -24,7 +24,7 @@
 #include <test_debug.h>
 
 #include <odp_api.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 #include <odp/helper/eth.h>
 #include <odp/helper/ip.h>
 
diff --git a/test/common_plat/performance/odp_pktio_perf.c b/test/common_plat/performance/odp_pktio_perf.c
index 6db02e0..cb77e1a 100644
--- a/test/common_plat/performance/odp_pktio_perf.c
+++ b/test/common_plat/performance/odp_pktio_perf.c
@@ -25,7 +25,7 @@
 #include <odp/helper/eth.h>
 #include <odp/helper/ip.h>
 #include <odp/helper/udp.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 
 #include <getopt.h>
 #include <stdlib.h>
diff --git a/test/common_plat/performance/odp_sched_latency.c b/test/common_plat/performance/odp_sched_latency.c
index 063fb21..2066f91 100644
--- a/test/common_plat/performance/odp_sched_latency.c
+++ b/test/common_plat/performance/odp_sched_latency.c
@@ -20,7 +20,7 @@
 #include <odp_api.h>
 
 /* ODP helper for Linux apps */
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 
 /* GNU lib C */
 #include <getopt.h>
diff --git a/test/common_plat/performance/odp_scheduling.c b/test/common_plat/performance/odp_scheduling.c
index 9407636..257e0a4 100644
--- a/test/common_plat/performance/odp_scheduling.c
+++ b/test/common_plat/performance/odp_scheduling.c
@@ -20,7 +20,7 @@
 #include <odp_api.h>
 
 /* ODP helper for Linux apps */
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 
 /* Needs librt*/
 #include <time.h>
diff --git a/test/common_plat/validation/api/timer/timer.c b/test/common_plat/validation/api/timer/timer.c
index 0007639..8be80d7 100644
--- a/test/common_plat/validation/api/timer/timer.c
+++ b/test/common_plat/validation/api/timer/timer.c
@@ -15,7 +15,7 @@
 
 #include <time.h>
 #include <odp.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 #include "odp_cunit_common.h"
 #include "test_debug.h"
 #include "timer.h"
diff --git a/test/linux-generic/mmap_vlan_ins/mmap_vlan_ins.c b/test/linux-generic/mmap_vlan_ins/mmap_vlan_ins.c
index b91eb53..a12eb3c 100644
--- a/test/linux-generic/mmap_vlan_ins/mmap_vlan_ins.c
+++ b/test/linux-generic/mmap_vlan_ins/mmap_vlan_ins.c
@@ -10,7 +10,7 @@
 #include <signal.h>
 
 #include <odp_api.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 #include <odp/helper/eth.h>
 #include <odp/helper/ip.h>
 
diff --git a/test/linux-generic/pktio_ipc/ipc_common.h b/test/linux-generic/pktio_ipc/ipc_common.h
index 99276b5..90a8831 100644
--- a/test/linux-generic/pktio_ipc/ipc_common.h
+++ b/test/linux-generic/pktio_ipc/ipc_common.h
@@ -17,7 +17,7 @@
 #include <example_debug.h>
 
 #include <odp.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 #include <odp/helper/eth.h>
 #include <odp/helper/ip.h>
 #include <odp/helper/udp.h>
diff --git a/test/linux-generic/ring/ring_stress.c b/test/linux-generic/ring/ring_stress.c
index bc61c3e..19bd65b 100644
--- a/test/linux-generic/ring/ring_stress.c
+++ b/test/linux-generic/ring/ring_stress.c
@@ -18,7 +18,7 @@
 #include <unistd.h>
 
 #include <odp_api.h>
-#include <odp/helper/linux.h>
+#include <odp/helper/threads.h>
 #include <odp_packet_io_ring_internal.h>
 #include <test_debug.h>
 #include <odp_cunit_common.h>