diff --git a/example/classifier/odp_classifier.c b/example/classifier/odp_classifier.c
index c2f69d4..d67fe5a 100644
--- a/example/classifier/odp_classifier.c
+++ b/example/classifier/odp_classifier.c
@@ -12,9 +12,7 @@
 #include <example_debug.h>
 
 #include <odp_api.h>
-#include <odp/helper/eth.h>
-#include <odp/helper/ip.h>
-#include <odp/helper/threads.h>
+#include <odp/helper/odph_api.h>
 #include <strings.h>
 #include <errno.h>
 #include <stdio.h>
diff --git a/example/generator/odp_generator.c b/example/generator/odp_generator.c
index 194c0a0..6ac8f2d 100644
--- a/example/generator/odp_generator.c
+++ b/example/generator/odp_generator.c
@@ -20,11 +20,7 @@
 
 #include <odp_api.h>
 
-#include <odp/helper/threads.h>
-#include <odp/helper/eth.h>
-#include <odp/helper/ip.h>
-#include <odp/helper/udp.h>
-#include <odp/helper/icmp.h>
+#include <odp/helper/odph_api.h>
 
 #define MAX_WORKERS            32		/**< max number of works */
 #define SHM_PKT_POOL_SIZE      (512*2048)	/**< pkt pool size */
diff --git a/example/ipsec/odp_ipsec.c b/example/ipsec/odp_ipsec.c
index d686160..9ed3aa2 100644
--- a/example/ipsec/odp_ipsec.c
+++ b/example/ipsec/odp_ipsec.c
@@ -24,11 +24,7 @@
 
 #include <odp_api.h>
 
-#include <odp/helper/threads.h>
-#include <odp/helper/eth.h>
-#include <odp/helper/ip.h>
-#include <odp/helper/icmp.h>
-#include <odp/helper/ipsec.h>
+#include <odp/helper/odph_api.h>
 
 #include <stdbool.h>
 #include <sys/socket.h>
diff --git a/example/ipsec/odp_ipsec_fwd_db.h b/example/ipsec/odp_ipsec_fwd_db.h
index 748ae04..152bdfb 100644
--- a/example/ipsec/odp_ipsec_fwd_db.h
+++ b/example/ipsec/odp_ipsec_fwd_db.h
@@ -12,7 +12,6 @@ extern "C" {
 #endif
 
 #include <odp_api.h>
-#include <odp/helper/eth.h>
 #include <odp_ipsec_misc.h>
 
 #define OIF_LEN 32
diff --git a/example/ipsec/odp_ipsec_loop_db.h b/example/ipsec/odp_ipsec_loop_db.h
index 0778186..1f9ade6 100644
--- a/example/ipsec/odp_ipsec_loop_db.h
+++ b/example/ipsec/odp_ipsec_loop_db.h
@@ -12,7 +12,6 @@ extern "C" {
 #endif
 
 #include <odp_api.h>
-#include <odp/helper/eth.h>
 #include <odp_ipsec_misc.h>
 
 /**
diff --git a/example/ipsec/odp_ipsec_misc.h b/example/ipsec/odp_ipsec_misc.h
index 6a49dcb..e0320eb 100644
--- a/example/ipsec/odp_ipsec_misc.h
+++ b/example/ipsec/odp_ipsec_misc.h
@@ -12,9 +12,7 @@ extern "C" {
 #endif
 
 #include <odp_api.h>
-#include <odp/helper/eth.h>
-#include <odp/helper/ip.h>
-#include <odp/helper/ipsec.h>
+#include <odp/helper/odph_api.h>
 
 #ifndef TRUE
 #define TRUE  1
diff --git a/example/ipsec/odp_ipsec_stream.c b/example/ipsec/odp_ipsec_stream.c
index 4dc9acf..428ec04 100644
--- a/example/ipsec/odp_ipsec_stream.c
+++ b/example/ipsec/odp_ipsec_stream.c
@@ -21,9 +21,7 @@
 
 #include <odp_api.h>
 
-#include <odp/helper/eth.h>
-#include <odp/helper/ip.h>
-#include <odp/helper/icmp.h>
+#include <odp/helper/odph_api.h>
 
 #include <odp_ipsec_stream.h>
 #include <odp_ipsec_loop_db.h>
diff --git a/example/l2fwd_simple/odp_l2fwd_simple.c b/example/l2fwd_simple/odp_l2fwd_simple.c
index 2473a11..b97808f 100644
--- a/example/l2fwd_simple/odp_l2fwd_simple.c
+++ b/example/l2fwd_simple/odp_l2fwd_simple.c
@@ -10,9 +10,7 @@
 #include <signal.h>
 
 #include <odp_api.h>
-#include <odp/helper/eth.h>
-#include <odp/helper/ip.h>
-#include <odp/helper/threads.h>
+#include <odp/helper/odph_api.h>
 
 #define POOL_NUM_PKT 8192
 #define POOL_SEG_LEN 1856
diff --git a/example/l3fwd/odp_l3fwd.c b/example/l3fwd/odp_l3fwd.c
index 4e35b64..ba06972 100644
--- a/example/l3fwd/odp_l3fwd.c
+++ b/example/l3fwd/odp_l3fwd.c
@@ -14,11 +14,7 @@
 #include <test_debug.h>
 
 #include <odp_api.h>
-#include <odp/helper/eth.h>
-#include <odp/helper/ip.h>
-#include <odp/helper/udp.h>
-#include <odp/helper/tcp.h>
-#include <odp/helper/threads.h>
+#include <odp/helper/odph_api.h>
 
 #include "odp_l3fwd_db.h"
 #include "odp_l3fwd_lpm.h"
diff --git a/example/l3fwd/odp_l3fwd_db.h b/example/l3fwd/odp_l3fwd_db.h
index 1b24f1a..8df2999 100644
--- a/example/l3fwd/odp_l3fwd_db.h
+++ b/example/l3fwd/odp_l3fwd_db.h
@@ -12,7 +12,7 @@ extern "C" {
 #endif
 
 #include <odp_api.h>
-#include <odp/helper/eth.h>
+#include <odp/helper/odph_api.h>
 
 #define OIF_LEN 32
 #define MAX_DB  32
diff --git a/example/packet/odp_pktio.c b/example/packet/odp_pktio.c
index 6e24deb..ea84282 100644
--- a/example/packet/odp_pktio.c
+++ b/example/packet/odp_pktio.c
@@ -13,9 +13,7 @@
 #include <example_debug.h>
 
 #include <odp_api.h>
-#include <odp/helper/eth.h>
-#include <odp/helper/ip.h>
-#include <odp/helper/threads.h>
+#include <odp/helper/odph_api.h>
 
 /** @def MAX_WORKERS
  * @brief Maximum number of worker threads
diff --git a/example/switch/odp_switch.c b/example/switch/odp_switch.c
index 2bbce10..561c293 100644
--- a/example/switch/odp_switch.c
+++ b/example/switch/odp_switch.c
@@ -11,9 +11,7 @@
 #include <inttypes.h>
 
 #include <odp_api.h>
-#include <odp/helper/eth.h>
-#include <odp/helper/ip.h>
-#include <odp/helper/threads.h>
+#include <odp/helper/odph_api.h>
 
 /** Maximum number of worker threads */
 #define MAX_WORKERS            32
diff --git a/example/time/time_global_test.c b/example/time/time_global_test.c
index dd33949..e24e9f4 100644
--- a/example/time/time_global_test.c
+++ b/example/time/time_global_test.c
@@ -8,7 +8,7 @@
 
 #include <odp_api.h>
 #include <example_debug.h>
-#include <odp/helper/threads.h>
+#include <odp/helper/odph_api.h>
 
 #define MAX_WORKERS		32
 #define ITERATION_NUM		2048
diff --git a/example/timer/odp_timer_test.c b/example/timer/odp_timer_test.c
index b847e2b..1088a74 100644
--- a/example/timer/odp_timer_test.c
+++ b/example/timer/odp_timer_test.c
@@ -14,7 +14,7 @@
 #include <odp_api.h>
 
 /* ODP helper for Linux apps */
-#include <odp/helper/threads.h>
+#include <odp/helper/odph_api.h>
 
 /* GNU lib C */
 #include <getopt.h>